> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cad/api-integration/api-endpoints/emergency/identifiers/unit-panic.md).

# Unit Panic

{% hint style="warning" %}
This API endpoint requires the **standard** version of Sonoran CAD or higher. For more information, see our [pricing ](/cad/pricing/faq.md)page.
{% endhint %}

{% hint style="info" %}
Toggling a unit's panic status via the API will not send this push event. These events should be listened for locally on the game server.
{% endhint %}

## Unit Panic

<mark style="color:green;">`POST`</mark> `https://api.sonorancad.com/emergency/unit_panic`

This The unit panic API endpoint allows you to automatically trigger a unit panic from in-game.

#### Request Body

| Name | Type   | Description              |
| ---- | ------ | ------------------------ |
| id   | string | Your community's ID      |
| key  | string | Your community's API Key |
| type | string | UNIT\_PANIC              |
| data | array  | Array of unit objects    |

{% tabs %}
{% tab title="200 A successful call will be met with the following response:" %}

```
UNIT PANIC UPDATED
```

{% endtab %}

{% tab title="400 The following errors may be sent in response:" %}

```
INVALID REQUEST TYPE
INVALID COMMUNITY ID
API IS NOT ENABLED FOR THIS COMMUNITY
INVALID API KEY
```

{% endtab %}
{% endtabs %}

```javascript
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "UNIT_PANIC",
    "data": [
        {
            "apiId": "STEAM:1234", // (OPTION 1): API ID entered in the unit identifiers
            "account": "000-000-000", // (OPTION 2): Sonoran Account UUID
            "identIds": [123,456], // (Option 3): Identifier IDs
            "isPanic": true,
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cad/api-integration/api-endpoints/emergency/identifiers/unit-panic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
